Bug 609299 - How long to wait for Satellite kickstart trees and why?
How long to wait for Satellite kickstart trees and why?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Ha
Martin Minar
Fixed in the 5.4.0 Release - GA'd 201...
:
Depends On:
Blocks: sat540-docs
  Show dependency treegraph
 
Reported: 2010-06-29 18:14 EDT by Xixi
Modified: 2016-07-03 20:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2010-06-29 18:14:15 EDT
Description of problem:
The kickstartable tree for RHEL5.5 took a while to be published for Satellite and customer would like to understand the process better and why it takes time.

Version-Release number of selected component (if applicable):
Red Hat Network (RHN) Satellite 5.3.0

How reproducible:
Always.

Steps to Reproduce:
Customers wait for kickstart trees to come out and don't know how long it takes or why.

Actual results:
See above.

Expected results:
Add something like the following into official Satellite/kickstart tree related documentation (thanks Cliff) -
"The Kickstart Tree process starts at roughly the same time as the first non-beta, release candidate versions of a release are spun. The Release Engineering team works to generate new kickstart trees and push them into a QA environment. Our QE team then uses a freshly installed Satellite to sync down nearly all channels for versions + arch of RHEL onto this Satellite. Once this is completed, we then proceed to run automated installations and reinstallations of various hardware platforms, for both virtual guests and physical systems. We test both the trees as well as the client tooling used to modify grub or other boot loaders for the installation. As such, the large matrix of testing includes RHEL 3, 4 and 5 on i386, x86_64, ia64, ppc & s390x, with physical, Xen and KVM kickstart testing. Our installations have to ensure that all packages contained in the kickstart trees were also correctly published into RHN and available to customers, so we perform @base for quick tests and @everything for complete coverage. This early testing should shake out bugs in any code, plus internal tooling or processes used. Once we have a final Release Candidate, we move into full testing cycles of generating kickstart trees, pushing them into QA, syncing them to a fresh Satellite, testing them and if everything works, move to Stage, repeat, then push into production for our customers to sync to their Satellites. We do minimal validation once pushed into production.

Once we have final Release Candidate trees, the above takes both time and resources to complete, typically 2 to 3 weeks. We aim to release the kickstart trees as close to GA as possible, but often, and almost never repeated, something goes wrong either during creation, pushing or testing of the trees for both initial release candidate and final release candidate trees. Or the 'final' Release Candidate is in fact re-spun, resetting the clock on testing and having the QE start at the beginning again. We continue to strive to ensure timely releases of the kickstart trees and looking to learn from each release cycle for ways to improve and enhance the process. "

Additional info:
Comment 2 Clifford Perry 2010-07-12 11:10:14 EDT
I'll be honest, I do not think a long description that I gave to pass along to a customer would be the most suitable entry into Satellite documentation. I think that content is better suited for a knowledgebase article which can be updated/edited quickly over time as needed. 

If there is a requested need for something in the Satellite Guide or Referrence Guide for kickstart trees, I'm sure something shorter would be better, such as:

"Red Hat aims to provide the kickstart trees for each Red Hat Enterprise Linux (RHEL) release as close to the GA date of the version. The process of generating, testing and validating the trees before publishing them for our customers can cause delays past the general availability of the RHEL version."

Cliff.
Comment 7 Clifford Perry 2010-10-28 10:56:10 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.